import java.util.Scanner;

public class Stalaktiti {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        
        
        int N = sc.nextInt();
        int L = sc.nextInt();
        
       
        int[] H = new int[N];
        for (int i = 0; i < N; i++) {
            H[i] = sc.nextInt();
        }
        
        
        for (int i = 0; i < N; i++) {
            if (H[i] <= L) {
                System.out.println(i + 1);  
                return;
            }
        }
        
       
        System.out.println(-1);